@import url('https://fonts.googleapis.com/css2?family=Instrument+Sans:ital,wght@0,400..700;1,400..700&family=Instrument+Serif:ital@0;1&display=swap');

:root {
    --base-100: #ebf5df;
    --base-200: #fec81d;
    --base-300: #0f0f0f;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

img {
    width: 100%;
    height: 80%;
    object-fit: cover;
}

h1, h2 {
    text-transform: uppercase;
    font-family: 'Instrument Serif', sans-serif;
    font-weight: 500;
    line-height: 0.9;
}

h1 {
    font-size: clamp(4rem, 7.5vw, 10rem);
}

h2 {
    font-size: clamp(2.5rem, 4.5vw, 5rem);
}

p {
    font-family: 'Instrument Sans', sans-serif;
    font-size: 1.125rem;
    font-weight: 400;
}

.hero {
    position: relative;
    width: 100%;
    height: 175svh;
    color: var(--base-200);
    overflow: hidden;
}
.hero-img {
    position: absolute;
    width: 100%;
    height: 100%;
}
.hero-header {
    position: absolute;
    width: 100%;
    height: 100svh;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 1.5rem;
    text-align: center;
}

.hero-header p {
    width: 75%;
    color: var(--base-100);
}

.hero-canvas {
    width: 100%;
    height: 100%;
    position: absolute;
    bottom: 0;
    pointer-events: none;
}

.hero-content {
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 90svh;
    display: flex;
    flex-direction: column;  /* stack h2 and blueprint */
    align-items: center;
    justify-content: center;
    text-align: center;
    /* gap: 0.1rem; */
}

.hero-content h2 {
    width: 75%;
    color: var(--base-300);
}

.about {
    position: absolute;
    width: 100%;
    height: 100svh;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--base-300);
    color: var(--base-100);
}

.about p {
    width: 40%;
    text-align: center;
}

@media (max-width: 1000px) {
    .hero-content h2, .about p {
        width: calc(100% - 4rem);
        text-align: justify;
    }
}